#include <stdio.h>
#include <stdlib.h>

#include "messages.h"
#include "apec.h" 

void expand_env(char *filename) {

  /* Now, at this point, filename could be a fully-qualified filename.*/
  /* Or it could have an environment variable in it. */
  /* We need to distinguish between these, and do some checks. */

  int i;
  char *p1, *p2, EnvName[MAXSTRLEN], EnvStr[MAXSTRLEN];
  char *result; 

  result = (char *) malloc(MAXSTRLEN*sizeof(char));

  if (strchr(filename,'$') != NULL) { /* Environment var */
    p1 = strchr(filename,'$');
    i=0;
    while (p1[i+1] != '/') {
      EnvName[i] = p1[i+1];
      i++;
    }
    EnvName[i] = '\0';
    p2 = getenv(EnvName);
    if (p2 == NULL) { 
      errmess("expand_env","No environment variable $%s",EnvName);
    } else {
      for (i=0;i<strlen(p2)+1;i++) EnvStr[i] = p2[i];
      strcat(EnvStr,strchr(filename,'/'));
      for (i=0;i<strlen(EnvStr)+1;i++) filename[i] = EnvStr[i];
    }
  }
}
