#include <stdlib.h>
#include <stdio.h>
#include <fitsio.h>

#include "apec.h"

void close_fits_spectral_table(struct PARAMETERS *params);
void fits_spec_close(fitsfile *fptr);

void fits_close(struct PARAMETERS *params) {
  
  if (params->do_line) fits_spec_close(params->fptr_line);
  if (params->do_coco) fits_spec_close(params->fptr_coco);
  if (params->do_comp) fits_spec_close(params->fptr_comp);
  if (params->do_bincont) fits_spec_close(params->fptr_bincont);
   
  if (params->do_xspectable) close_fits_spectral_table(params);

}
