define in(elem, array) {
   
   variable indx;

   indx = where(abs(array - elem) < 0.00001);

   if (length(indx) == 0) {
      return 0;
   } else {
      return 1;
   }

}


define mymodel1() { 
   % c, binlo, binhi
   
   variable c, binlo, binhi, flux;
   variable i;

   (c, binlo, binhi) = ();
   flux = @binlo;
   flux[*] = c;

   vmessage("Length of binlo : %d",length(binlo));
   vmessage("Length of binhi : %d",length(binlo));

   return flux;

}
define mymodel2() { 
   % c, binlo, binhi
   
   variable c, binlo, binhi, flux;
   variable i;

   (c, binlo, binhi) = ();
   flux = @binlo;
   flux[*] = c;

   %variable savestack = NULL;
   %if (_stkdepth() != 0) savestack = __pop_args(_stkdepth());
   %variable dataset = get_dataset_number();
   %variable wvl = get_wave_axes(3);
   %if (savestack != NULL) __push_args(savestack);

   %for (i = 0; i < length(binlo); i++) {
   %   if (not in(binlo[i],wvl.lo)) {
   %	 flux[i] = 0.0;
   %   }
   %}

   return flux;

}

() = register_model("mymodel1",
		    ["c"],
		    1,
		    [0.000002],
		    [0.000000001],
		    [100.0],
		    [1]);

() = register_model("mymodel2",
		    ["c"],
		    1,
		    [0.000002],
		    [0.000000001],
		    [100.0],
		    [1]);
