#include <stdio.h>
#include <fcntl.h>
#include <unistd.h>


/* Check if a file named <filename> exists. */
/* If yes returns 1                         */
/* If no  returns 0                         */
int fd_file_exist(char *filename) {
  
  int fd;

  if ((fd = open(filename, O_RDONLY, 0)) == -1) {
    /* file does not exist */
    return 0;
  } else {
    /* file exists: close file and return 1 */
    close(fd);
    return 1;
  }

}

