#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include "fitsdebug.h"

int fd_append_extension(char *filename) {

  /* append a version extension to a filename */
  /* we chose the protocol:                   */
  /*  Original file :   xxxxx.yyy             */
  /*  1st version   :   xxxxx.yyy,1           */
  /*  2nd version   :   xxxxx.yyy,2           */
  /*  etc                                     */

  char *comma;
  comma = strrchr(filename,',');
  if (comma != NULL) {
    /* Found a comma in the original filename */

    int version;
    char *_new_;
    
    _new_ = comma++;
    version = atoi(comma); version++;
    sprintf(comma,"%d",version);

    /* check if this filename is unique. If not */
    /* do a recursive call                      */
    if (fd_file_exist(filename)) fd_append_extension(filename);

  } else  {
    /* there exist */
    
    strcat(filename,",1");
    if (fd_file_exist(filename)) fd_append_extension(filename);
    
  }

  return 1;

}
